﻿using System;
using Syncfusion.SfChart.XForms;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace HighValueChart
{
    public class HighValueSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas;
        SfChart chart;
        StackLayout stackLayout;
        public HighValueSample()
        {
            datas = new ObservableCollection<ChartDataPoint>();
            chart = new SfChart();
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            FastLineSeries fastLine = new FastLineSeries();
            fastLine.ItemsSource = generateDataPoints(15000);
            chart.Series.Add(fastLine);

            stackLayout.Children.Add(chart);
            Content = stackLayout;
        }

        private System.Collections.IEnumerable generateDataPoints(int p)
        {
            double value = 0;
            Random rand = new Random();
            for (var i = 0; i < p; i++)
            {
                value += (rand.NextDouble() * 10 - 5);
                datas.Add(new ChartDataPoint(i, value));
            }
            return datas;
        }
    }
}
